import { cookiePolicy } from './shared/cookie-policy';
import { auctionOverview } from './auctions/public-auction-overview';
import { sellerClickEvents } from './seller/seller-events';
import { campaignEvents } from './campain/campaign-events';
import { anangEvents } from './anang/anang-events';
import { botStar } from './chatbot/botstar';

/**
 * main entrypoint which initializes all other scripts
 */
document.addEventListener('DOMContentLoaded', (event) => {
  // shared, should be initialized on every page
  botStar.init();
  cookiePolicy.init();

  // initializing seller, shared click events
  sellerClickEvents.init();

  // initializing campaign
  campaignEvents.init();

  // initializing anang
  anangEvents.init();

  // initializing auction overview only for root-page
  if (location.pathname === '/') {
    auctionOverview.init();
    auctionOverview.initScrollListeners();
  }
});
